Gnome2::Bonobo::DockItem(3)

NAME
Gnome2::Bonobo::DockItem - wrapper for BonoboDockItem

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gnome2::Bonobo::DockItem

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  widget = Gnome2::Bonobo::DockItem->new ($name, $behavior)

•   $name (string)

•   $behavior (Gnome2::Bonobo::DockItemBehavior)

  dockitembehavior = $dock_item->get_behavior

  widget = $dock_item->get_child

  string = $dock_item->get_name

  orientation = $dock_item->get_orientation

  boolean = $dock_item->set_orientation ($orientation)

•   $orientation (Gtk2::Orientation)

  shadowtype = $dock_item->get_shadow_type

  $dock_item->set_shadow_type ($type)

•   $type (Gtk2::ShadowType)

PROPERTIES

'orientation' (Gtk2::Orientation : default "horizontal" : readable / writable)
    Orientation

'preferred-height' (Glib::UInt : default 0 : readable)
    Preferred height

'preferred-width' (Glib::UInt : default 0 : readable)
    Preferred width

'shadow' (Gtk2::ShadowType : default "out" : readable / writable)
    Shadow type

SIGNALS

dock-detach (Gnome2::Bonobo::DockItem)
dock-drag-begin (Gnome2::Bonobo::DockItem)
dock-drag-end (Gnome2::Bonobo::DockItem)
dock-drag-motion (Gnome2::Bonobo::DockItem, integer, integer)
orientation-changed (Gnome2::Bonobo::DockItem, Gtk2::Orientation)

ENUMS AND FLAGS

  flags Gnome2::Bonobo::DockItemBehavior

•   'normal' / 'BONOBO_DOCK_ITEM_BEH_NORMAL'

•   'exclusive' / 'BONOBO_DOCK_ITEM_BEH_EXCLUSIVE'

•   'never-floating' / 'BONOBO_DOCK_ITEM_BEH_NEVER_FLOATING'

•   'never-vertical' / 'BONOBO_DOCK_ITEM_BEH_NEVER_VERTICAL'

•   'never-horizontal' / 'BONOBO_DOCK_ITEM_BEH_NEVER_HORIZONTAL'

•   'locked' / 'BONOBO_DOCK_ITEM_BEH_LOCKED'

  enum Gtk2::Orientation

•   'horizontal' / 'GTK_ORIENTATION_HORIZONTAL'

•   'vertical' / 'GTK_ORIENTATION_VERTICAL'

  enum Gtk2::ShadowType

•   'none' / 'GTK_SHADOW_NONE'

•   'in' / 'GTK_SHADOW_IN'

•   'out' / 'GTK_SHADOW_OUT'

•   'etched-in' / 'GTK_SHADOW_ETCHED_IN'

•   'etched-out' / 'GTK_SHADOW_ETCHED_OUT'

SEE ALSO
Gnome2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin

COPYRIGHT
Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2 for a full notice.